How do you create a loadable kernel module for Android?

I know there a number of walkthroughs and tutorials floating around out there which describe this activity, but after having read many of them I still can't get this working. If anyone has the...

Installation of all OpenGL libraries for development in Ubuntu 11.10

I've got a just installed ubuntu 11.10. I follow the first answer in this question. I installed: freeglut3 freeglut3-dev [email protected]:~$ sudo apt-get install freeglut3 [sudo] password for igor:...

Can't install required packages for Ubuntu to build Android Open Source Project

I'm build Android Open Source Project on Ubuntu 10.0.4. I try to install required packages by execute below command (coppied from http://source.android.com/source/initializing.html) but I can't. ...

icinga-web unmet dependencies

I am trying to install icinga-web and I am getting following error:- I tried installing both the icinga-core and icinga-idoutils but I still get this error. apt-get install icinga-web Reading...

Android AOSP Repo Init fatal: error unknown url type: https

Can anybody suggest a solution ? I am running Ubuntu 12.0.4 I have : Python 2.6 -- 2.7, which you can download from python.org. GNU Make 3.81 -- 3.82, which you can download from gnu.org, ...

oracle-java7-installer not installing on PowerBook G4 running Debian

I am running debian on this older G4 and having a problem installing Java. After searching on Google, I have only been finding issues with other linux distros, mostly ubuntu. I followed the...

Android, setting up a Linux build environment, libgl1-mesa-glx:i386 package have unmet dependencies

I'm trying to setting up a Linux build environment for AOSP. I have Ubuntu-12.04.4-desktop-amd64 distributive. I do everything in accordance with the instructions given here. I typed in the...

Install Webkit for Standalone HTML Desktop App

A few months ago I converted my web application to run as a linux app (kind of, it's just in a web browser to give the illusion that it's a full fledged linux app) I made it on Ubuntu 14.04 and...

Having issues with installing "imagemagick" on Ubuntu v12 VPS

I have a Rails app that use Paperclip. Paperclip needs imagemagick for its functionality. I've been trying all afternoon to install it, but still don't know how to solve this issue: sudo apt-get...

Can't install libgtk2.0-dev on linux

I am trying to compile xfce-terminal, configure will not pass saying I lack gtk2 checking for gtk+-2.0 >= 2.24.0... not found *** The required package gtk+-2.0 was not found on your system. ***...

No such file or directory' while attempting to get adb version

I had install Android adt bundle for linux in my computer(Ubuntu 13.04). But now when I run my eclipse in adt bundle following error appers:- 2014-11-04 13:25:50 - adb] Unexpected exception...

Unable to locate package mingw32

Excuse me, I am compiling Android open source project(AOSP) on the Ubuntu 15.04 accroding to this web page(http://blog.logan.tw/2013/09/build-android-aosp.html), I need to install some tools by...

Why does building from a docker file take up all the disk space?

I am using docker-compose to build and run my application. here is the docker-compose.yml: db: image: postgres web: build: . command: sh startup.sh volumes: - .:/code ports: -...

Android source code building in ubuntu 12.04

My friend has downloaded Android Kitkat source code and he has built it in his machine.Later he gave me that tar file of Kikat source code, I took that source code and when i tried to build it i...

Reproducing CRAN GCC-UBSAN test results 'at home' on ubuntu

I'm scratching my head on this one. How to reproduce the results of CRAN's gcc ubsan tests of my package at home, on ubuntu? (the instructions on the preparation steps come from here) I...

/usr/bin/ld: cannot find -lcassandra

I just installed the C/C++ driver for cassandra and trying to run the simple program from examples directory but I am not able to resolve this error. /usr/bin/ld: cannot find -lcassandra ___ Here...

apt-get upgrade, apt-get install not working.

I recently updated Python 2.7.6 to Python 2.7.12. Since then, when I run apt-get upgrade or apt-get install or apt-get autoremove` I get the following error: Reading package lists... Done Building...

Android NDK CI using Bitbucket Pipelines

I am trying to build an NDK Android project using Bitbucket Pipelines continuous integration using ndk-build (not the newer CMAKE). But I am getting the following error when calling ./gradlew...

AOSP building error

I was trying to compile Android O code on Linux 16.04 LTS machine but I'm facing some issues. I'm stuck on the following error: [ 89% 55834/62176] Compiling SDK...

cuda 9 packages no longer required after installation

I installed CUDA 9 from the local deb but afterwards apt reports: The following packages were automatically installed and are no longer required: cuda-command-line-tools-9-0 cuda-core-9-0...

Travis-CI - Linux - missing libdl.so after install

Actions: Using travis-ci to build C++/C code via gcc compiler under linux x64. Using libdl functions requires linking via -ldl. Expected behaviour: libdl beind successfuly linked. Actual...

Deleting build dependency packages in Debian 9

I have a script to compile several programs of a LEMP server (nginx, php, openssl, etc ...), I would like to know what packages I could delete after finishing with the compilations. I leave the...

php 7.2 and libcurl

php 7.2 as i think use libcurl with version 4 but when I set this version of libcurl in my Ubuntu, some programs became not working and more than this, system try to delete these programs. They...

How does Anaconda handle existing Python installation

I am relatively new to Python and to Ubuntu. I have had problems in the past handling multiple versions of Python on my computer so I wanted to install Anaconda to use a Python version in a...

Error: VNDK library: libandroid_net's ABI has EXTENDING CHANGES

I am setting up an environment to run AOSP code on Ubuntu 18.04.1 LTS and got the error "error: VNDK library: libandroid_net's ABI has EXTENDING CHANGES". Please help me to resolve this. I have...

Rails & Docker: configure bundler to run bundle install in a docker build for Rails.4.2.6?

I am having so much trouble with docker. It seems to be a pattern. I have a dockerfile which installs Node.js and Yarn from source repositories fine. I install ruby from the get-apt repositories...

after trying both "apt install openjdk-8-jre-headless" and "apt install openjdk-8-jdk" java not available

I tried to install latest stable Jenkins version which supports Java 11. So after installing Java 11(JDK) I got the error from Jenkins that incorrect java version was found. So uninstalled the...

Upgrade to Ubuntu 20.04 killed pip

I upgraded to Ubuntu 20.04 from 19.10 and now I cannot use pip. zeno:~$ pip --version Command 'pip' not found, but there are 18 similar ones. Python is installed: zeno:~$ python3...

Fully Uninstall opendjk-11 from WSL

I am Python programmer but wanted to use Java/Scala for a project (so learning Java/Scala). In my Windows Subsystem Linux (WSL) I had previously installed OpenJDK v 11. I wanted to replace the...

Failed to install ROCm on Ubuntu 20.04

I would like to set up AMD Radeon for Deep Learning on Ubuntu. The main libraries for my work are keras and pytorch. I followed strictly on ROCm installation guideline here but failed at the 3rd...